#include "stdio.h"

int findMax(int arr[], int a, int size) {
    if (size == 1) {
        return arr[a]; // 返回当前元素值
    }
    
    int maxOfRest = findMax(arr, a + 1, size - 1); // 递归调用
    if (arr[a] > maxOfRest) {
        return arr[a]; // 返回当前元素值
    } else {
        return maxOfRest; // 返回剩余部分的最大值
    }
}

int main() {
    int arr[] = {8, 1, 5, 9};
    int size = sizeof(arr) / sizeof(arr[0]);
    int Max = findMax(arr, 0, size); // 获取最大值
    printf("最大元素是：%d\n", Max);
    return 0;
}
